## golang-github-notaryproject-notation-plugin-framework-go 1.0.0

=== Makefile ===
# Copyright The Notary Project Authors.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-25s\033[0m %s\n", $$1, $$2}'

.PHONY: all
all: test

.PHONY: test
test: check-line-endings ## run unit tests
	go test -race -v -coverprofile=coverage.txt -covermode=atomic ./...

.PHONY: e2e
e2e:
	cd ./test/e2e && ./run.sh;

.PHONY: clean
clean:
	git status --ignored --short | grep '^!! ' | sed 's/!! //' | xargs rm -rf

.PHONY: check-line-endings
check-line-endings: ## check line endings
	! find . -name "*.go" -type f -exec file "{}" ";" | grep CRLF

.PHONY: fix-line-endings
fix-line-endings: ## fix line endings
	find . -type f -name "*.go" -exec sed -i -e "s/\r//g" {} +

=== debian/changelog ===
golang-github-notaryproject-notation-plugin-framework-go (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Use verbatim upstream .gitignore.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 31 Oct 2025 13:51:41 +0100

golang-github-notaryproject-notation-plugin-framework-go (1.0.0-2) unstable; urgency=medium

  * No-change reupload to help testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Dec 2024 07:28:42 -0500

golang-github-notaryproject-notation-plugin-framework-go (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1088188)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Nov 2024 15:00:06 -0500

=== debian/control ===
Source: golang-github-notaryproject-notation-plugin-framework-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation-plugin-framework-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation-plugin-framework-go.git
Homepage: https://github.com/notaryproject/notation-plugin-framework-go
XS-Go-Import-Path: github.com/notaryproject/notation-plugin-framework-go

Package: golang-github-notaryproject-notation-plugin-framework-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Framework and base for notation plugins (library)
 This package contains golang source-code required to
 create notation plugins as per Notary Project specifications
 (https://github.com/notaryproject/specifications).

=== debian/rules ===
#!/usr/bin/make -f

# e2e test make assumption about where the example files are located
# TODO: write an autopkgtest that covers this test case
export DH_GOLANG_EXCLUDES := \
	notation-plugin-framework-go/example \
	notation-plugin-framework-go/test/e2e
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
Version: 5
Template: Github
Owner: notaryproject
Project: notation-plugin-framework-go
